Bug 52911 - apmd calls apmcontinue twice on resume
apmd calls apmcontinue twice on resume
Product: Red Hat Public Beta
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-30 16:22 EDT by J|rgen Christoffel
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-24 18:04:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J|rgen Christoffel 2001-08-30 16:22:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
/etc/sysconfig/apm-scripts/apmcontinue is called twice during a resume
following a suspend.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create /etc/sysconfig/apm-scripts/apmcontinue as specified
2. suspend laptop
3. resume laptop

Actual Results:  The log file created by
/etc/sysconfig/apm-scripts/apmcontinue always contains two lines for resume

Expected Results:  /etc/sysconfig/apm-scripts/apmcontinue should be called
just once on resume so the script doesn't have to make sure that its
actions (e.g. taking the network interface up/down or starting additional
servers based on location) 

For example, when I start ntpd from apmcontinue I sometimes have multiple
copies of the daemon running afterwards, which indicates that
/etc/init.d/ntpd doesn't cope too well with being called twice in short

Additional info:

See detailed log at the URL above. 

One interesting (but unrelated I'd say) thing to note is that the two
resume events after an "apm -s" are separated by a "change power" event
while the resume events after suspending via the function key on my IBM
Thinkpad are not.
Comment 1 eric_backus 2002-01-03 04:56:40 EST
I have a Dell Inspiron 5000e, and it also has this problem.  It's been there 
for every 2.4.x kernel I've tried, and has been there on both Mandrake 7.2, 
RH7.1, and RH7.2.
Comment 2 Bernhard Rosenkraenzer 2002-02-26 12:32:40 EST
 This should be fixed in 3.0.2-6.

Note You need to log in before you can comment on or make changes to this bug.